Activate License Key - Polar

Documentation Index

Fetch the complete documentation index at: /docs/llms.txt

Use this file to discover all available pages before exploring further.

POST

https://api.polar.sh/v1/license-keys/activate

Try it

Python

from polar.v2026_04 import Polar

polar = Polar("polar_oat_xxx")

response = polar.license_keys.activate(
    key='string',
    organization_id='00000000-0000-4000-8000-000000000000',
    label='string',
)
print(response)

JavaScript

import { createPolar } from "@polar-sh/sdk/2026-04";

const polar = createPolar({
  accessToken: "polar_oat_xxx",
});

const response = await polar.licenseKeys.activate(
  {
    "key": "string",
    "organization_id": "00000000-0000-4000-8000-000000000000",
    "label": "string"
  },
);
console.log(response);

Curl

curl --request POST \
  --url https://api.polar.sh/v1/license-keys/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "organization_id": "<string>",
  "label": "<string>",
  "conditions": {},
  "meta": {}
}
'

Fetch API

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    key: '<string>',
    organization_id: '<string>',
    label: '<string>',
    conditions: {},
    meta: {}
  })
};

fetch('https://api.polar.sh/v1/license-keys/activate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Examples of Response Payloads

Success Response

{
  "id": "<string>",
  "license_key_id": "<string>",
  "label": "<string>",
  "meta": {},
  "created_at": "2026-01-01T00:00:00.000000Z",
  "modified_at": "2026-01-01T00:00:00.000000Z",
  "license_key": {
    "id": "<string>",
    "created_at": "2026-01-01T00:00:00.000000Z",
    "modified_at": "2026-01-01T00:00:00.000000Z",
    "organization_id": "<string>",
    "customer_id": "<string>",
    "customer": {
      "id": "992fae2a-2a17-4b7a-8d9e-e287cf90131b",
      "created_at": "2026-01-01T00:00:00.000000Z",
      "modified_at": "2026-01-01T00:00:00.000000Z",
      "metadata": {},
      "email_verified": true,
      "type": "individual",
      "name": "John Doe",
      "billing_name": "John Doe",
      "billing_address": {
        "country": "US",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "city": "<string>",
        "state": "<string>"
      },
      "tax_id": {
        "[0]": "<string>"
      },
      "organization_id": "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
      "deleted_at": "2026-01-01T00:00:00.000000Z",
      "first_user_event_at": "2026-01-01T00:00:00.000000Z",
      "avatar_url": "https://www.gravatar.com/avatar/xxx?d=404",
      "external_id": "usr_1337",
      "email": "customer@example.com",
      "locale": "<string>",
      "default_payment_method_id": "<string>"
    },
    "benefit_id": "<string>",
    "key": "<string>",
    "display_key": "<string>",
    "status": "granted",
    "limit_activations": 123,
    "usage": 123,
    "limit_usage": 123,
    "validations": 123,
    "last_validated_at": "2026-01-01T00:00:00.000000Z",
    "expires_at": "2026-01-01T00:00:00.000000Z"
  }
}

Error Response

{
  "error": "NotPermitted",
  "detail": "<string>"
}
{
  "error": "ResourceNotFound",
  "detail": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}